[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[p2-dev] Metadata generator app creates metadata that causes IU installation to fail

Hi All,
 
I have run into a problem whilst trying to mirror the Apache IvyDE site. Here are the steps to reproduce:
  1. Mirror http://www.apache.org/dist/ant/ivyde/updatesite using mirror apps from 3.5M3 as per these docs: http://wiki.eclipse.org/Equinox_p2_Repository_Mirroring
  2. Try installing both IUs from mirror into vanilla 3.4.1 install: success.
  3. Uninstall both IUs from 3.4.1
  4. Discard mirrored metadata and generate using the metadata generator app (also from 3.5M3) as per these docs: http://wiki.eclipse.org/Equinox_p2_Metadata_Generator
  5. Try installing both IUs from the resulting mirror (with new metadata): install fails with the following error:
    Unsatisfied dependency: [org.apache.ivy.feature.feature.group 2.0.0.cr2] requiredCapability: org.eclipse.equinox.p2.iu/org.apache.ivy/[2.0.0.cr2,2.0.0.cr2]
    Unsatisfied dependency: [org.apache.ivy.feature.feature.group 2.0.0.cr2] requiredCapability: org.eclipse.equinox.p2.iu/org.apache.ivy/[2.0.0.cr2,2.0.0.cr2]
I do not know how to interpret this error but it seems to me that there is some kind of circularity occurring here. Does anyone have any idea what is going wrong and where?
 
Thanks,
 
Miles
 
Miles Daffin
Morgan Stanley | Technology
20 Cabot Square | Canary Wharf | Floor 01
London, E14 4QW
Phone: +44 20 7677-5119
Fax: +44 20 7056-4572
Miles.Daffin@xxxxxxxxxxxxxxxxx
 

NOTICE: If received in error, please destroy and notify sender. Sender does not intend to waive confidentiality or privilege. Use of this email is prohibited when received in error.